@import url("https://fonts.googleapis.com/css2?family=Open+Sans&family=Oswald:wght@200;300;400;500;700&family=Poppins:wght@400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  font-family: "Oswald";
  text-decoration: none;
}

/* =============================INICIO====================================*/

header {
  width: 100%;
  margin: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 5)),
    url("../img/h2.jpg");
  background-size: cover;
  background-position: center;
  height: 60vh; /* Altura completa de la ventana */
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
}

.title {
  margin-bottom: 20px;
  font-size: 3em;

  color: #ffffff;
}
.title2 {
  margin-bottom: 10px;
  font-size: 1.5em;

  color: #ffffff;
}
.title3 {
  margin-bottom: 40px;
  font-size: 1.5em;

  color: #ffffff;
}
.button {
  padding: 10px 20px;

  font-size: 1.2em;
  color: white;
  background-color: #131313; /* Color del botón */
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none; /* Sin subrayado en el enlace */
}

.button:hover {
  background-color: #333333; /* Color del botón al pasar el ratón */
}

@media (max-width: 768px) {
  .presentation {
    width: 80%;
  }
  .title {
    font-size: 2.5em; /* Tamaño de fuente más pequeño en pantallas pequeñas */
  }
  .title {
    font-size: 1.2em; /* Tamaño de fuente más pequeño en pantallas pequeñas */
  }
  .button {
    display: flex;
    flex-direction: column;
    margin: auto;
    width: 200px;
    line-height: 1.5em;
    padding: 20px 40px;
  }
}

/*-SECCIÓN SOBRE MI PAPI-------------------------------------------------------*/

#sobremi {
  max-width: 1100px;
  padding: 100px 15px;
  margin: auto;
  display: flex;
  background-color: #131313;
}

#sobremi .caja-img1 {
  width: 380px;

  margin-right: 80px;
}

#sobremi .caja-img1 img {
  width: 380px;
  object-fit: cover;
  border-radius: 5px;
  transition: transform 0.3s ease;
  height: 350px;
}

#sobremi .caja-img1 img:hover {
  transform: scale(1.1);
}

#sobremi .sobremi {
  margin: 0 40px;
}

#sobremi .sobremi .titlei {
  color: #0dcaf0;

  font-size: 24px;
  text-transform: uppercase;
  text-decoration: underline;
  text-decoration-color: #0dcaf0;
  text-decoration-thickness: 4px;
}

#sobremi .sobremi .name {
  font-size: 22px;
  color: whitesmoke;
  margin-bottom: 30px;
}

#sobremi .sobremi span {
  color: #0dcaf0;
}

#sobremi .sobremi .description {
  color: #0dcaf0;

  font-size: 15px;
  font-family: "Oswald";
  line-height: 25px;
  text-align: justify;
  margin-bottom: 30px;
}

#sobremi .sobremi .sub-title {
  color: #ffffff;
  font-size: 18px;
  margin-bottom: 30px;
}

#sobremi .sobremi .sub-title2 {
  color: #ffffff;
  font-size: 18px;
  margin-bottom: 10px;
}

#sobremi .sobremi a {
  display: inline-block;
  border: 2px solid #0dcaf0;
  color: #0dcaf0;
  font-size: 16px;
  padding: 10px 18px;
  margin-bottom: 20px;
  border-radius: 50px;
  text-align: center;
}

#sobremi .sobremi a:hover {
  color: rgb(103, 179, 202);

  border: 2px solid #0dcaf0;
}

@media screen and (max-width: 800px) {
  #sobremi {
    padding: 50px 0;
    display: block;
  }

  #sobremi .caja-img1 {
    width: 200px;
    margin: auto;
  }

  #sobremi .caja-img1 img {
    width: 200px;
    padding: 8px;
    margin-bottom: 15px;
  }

  #sobremi .sobremi h2 {
    text-align: center;
  }

  #sobremi .sobremi .name {
    font-size: 25px;
    text-align: center;
  }
}
